package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 库存移动单明细信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="WMS_DOC_MOVEMENT_DETAILS")
@Api("库存移动单明细信息")
public class WmsMoveMentDetails extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    @Column(name="ITEM")
    @ApiParam("行号")
    public String item;

    @Column(name="PART_NO")
    @ApiParam("物料编码")
    public String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;

    @Column(name="QTY")
    @ApiParam(value = "需求数量", example = "0")
    public Double qty;

    @Column(name="UNIT")
    @ApiParam("单位")
    public String unit;

    @Column(name="SRC_WH")
    @ApiParam("发出库仓库")
    public String srcWh;

    @Column(name="DEST_WH")
    @ApiParam("接收库仓库")
    public String destWh;

    @Column(name="PRINT_QTY")
    @ApiParam("条码打印数量")
    public String printQty;

    @Column(name="FACT_QTY")
    @ApiParam("操作完成数量")
    public String factQty;

    @Column(name="ZDATE")
    @ApiParam("计划交货日期")
    public String zDate;

    @Column(name="ZTIME")
    @ApiParam("计划交货时间")
    public String zTime;

    @Column(name="SRC_NO")
    @ApiParam("源单号")
    public String srcNo;

    /**
     * 状态:N=正常,C=行取消
     */
    @Column(name="STATUS")
    @ApiParam(value = "状态", example = "1")
    public Integer status;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String reMark;

    /**
     * 是否免费:0=计费,1=免费
     */
    @Column(name="IS_FREE")
    @ApiParam(value = "是否免费", example = "1")
    public Integer isFree;

    @Column(name="PICK_QTY")
    @ApiParam(value = "已配数量", example = "0")
    public Double pickQty;

    @Column(name="OUT_QTY")
    @ApiParam(value = "已提交数量", example = "0")
    public Double outQty;

    @Column(name="INLINE_QTY")
    @ApiParam(value = "已上线数量", example = "0")
    public Double inLineQty;

    @Column(name="REJECT_QTY")
    @ApiParam(value = "退料数量", example = "0")
    public Double rejectQty;

    @Column(name="REJECT_POST_QTY")
    @ApiParam(value = "退料提交数量", example = "0")
    public Double rejectPostQty;
}
